SilverLining for Android 1.0 Skies, 3D clouds, and weather for Android

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

Static Public Member Functions
com::sundogsoftware::silverlining::SilverLiningCloudLayerFactoryJNI Class Reference

List of all members.

## Static Public Member Functions
static final native int | GMT_get ()
static final native int | CET_get ()
static final native int | EET_get ()
static final native int | BT_get ()
static final native int | GET_get ()
static final native int | PKT_get ()
static final native int | BST_get ()
static final native int | THA_get ()
static final native int | CCT_get ()
static final native int | JST_get ()
static final native int | GST_get ()
static final native int | SBT_get ()
static final native int | IDLE_get ()
static final native int | WAT_get ()
static final native int | AT_get ()
static final native int | BRT_get ()
static final native int | AST_get ()
static final native int | EST_get ()
static final native int | CST_get ()
static final native int | MST_get ()
static final native int | PST_get ()
static final native int | YST_get ()
static final native int | AHST_get ()
static final native int | NT_get ()
static final native int | IDLW_get ()
static final native long | new_LocalTime ()
static final native void | delete_LocalTime (long jarg1)
static final native void | LocalTime_SetFromEpochSeconds (long jarg1, LocalTime jarg1_, long jarg2)
static final native void | LocalTime_SetYear (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetYear (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetMonth (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetMonth (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetDay (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetDay (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetHour (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetHour (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetMinutes (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetMinutes (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetSeconds (long jarg1, LocalTime jarg1_, double jarg2)
static final native double | LocalTime_GetSeconds (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetObservingDaylightSavingsTime (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native boolean | LocalTime_GetObservingDaylightSavingsTime (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetTimeZone (long jarg1, LocalTime jarg1_, double jarg2)
static final native double | LocalTime_GetTimeZone (long jarg1, LocalTime jarg1_)
static final native double | LocalTime_GetJulianDate (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native double | LocalTime_GetEpoch2000Centuries (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native double | LocalTime_GetEpoch1990Days (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native void | LocalTime_SetFromSystemTime (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_AddSeconds (long jarg1, LocalTime jarg1_, int jarg2)
static final native long | new_WindVolume ()
static final native void | delete_WindVolume (long jarg1)
static final native void | WindVolume_SetMinAltitude (long jarg1, WindVolume jarg1_, double jarg2)
static final native double | WindVolume_GetMinAltitude (long jarg1, WindVolume jarg1_)
static final native void | WindVolume_SetMaxAltitude (long jarg1, WindVolume jarg1_, double jarg2)
static final native double | WindVolume_GetMaxAltitude (long jarg1, WindVolume jarg1_)
static final native void | WindVolume_SetWindSpeed (long jarg1, WindVolume jarg1_, double jarg2)
static final native double | WindVolume_GetWindSpeed (long jarg1, WindVolume jarg1_)
static final native void | WindVolume_SetDirection (long jarg1, WindVolume jarg1_, double jarg2)
static final native double | WindVolume_GetDirection (long jarg1, WindVolume jarg1_)
static final native boolean | WindVolume_Inside (long jarg1, WindVolume jarg1_, double jarg2)
static final native long | new_Location ()
static final native void | Location_SetLatitude (long jarg1, Location jarg1_, double jarg2)
static final native double | Location_GetLatitude (long jarg1, Location jarg1_)
static final native void | Location_SetLongitude (long jarg1, Location jarg1_, double jarg2)
static final native double | Location_GetLongitude (long jarg1, Location jarg1_)
static final native void | Location_SetAltitude (long jarg1, Location jarg1_, double jarg2)
static final native double | Location_GetAltitude (long jarg1, Location jarg1_)
static final native void | delete_Location (long jarg1)
static final native long | new_AtmosphericConditions ()
static final native void | delete_AtmosphericConditions (long jarg1)
static final native void | AtmosphericConditions_SetLocation (long jarg1, AtmosphericConditions jarg1_, long jarg2, Location jarg2_)
static final native long | AtmosphericConditions_GetLocation (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_SetTime (long jarg1, AtmosphericConditions jarg1_, long jarg2, LocalTime jarg2_)
static final native long | AtmosphericConditions_GetTime (long jarg1, AtmosphericConditions jarg1_)
static final native int | AtmosphericConditions_SetWind (long jarg1, AtmosphericConditions jarg1_, long jarg2, WindVolume jarg2_)
static final native boolean | AtmosphericConditions_RemoveWindVolume (long jarg1, AtmosphericConditions jarg1_, int jarg2)
static final native void | AtmosphericConditions_ClearWindVolumes (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_GetWind (long jarg1, AtmosphericConditions jarg1_, long jarg2, long jarg3, double jarg4)
static final native void | AtmosphericConditions_ApplyWind (long jarg1, AtmosphericConditions jarg1_, double jarg2)
static final native long | AtmosphericConditions_GetWindVolumes (long jarg1, AtmosphericConditions jarg1_)
static final native int | AtmosphericConditions_AddCloudLayer (long jarg1, AtmosphericConditions jarg1_, long jarg2, CloudLayer jarg2_)
static final native boolean | AtmosphericConditions_RemoveCloudLayer (long jarg1, AtmosphericConditions jarg1_, int jarg2)
static final native void | AtmosphericConditions_RemoveAllCloudLayers (long jarg1, AtmosphericConditions jarg1_)
static final native boolean | AtmosphericConditions_GetCloudLayer (long jarg1, AtmosphericConditions jarg1_, int jarg2, long jarg3)
static final native long | AtmosphericConditions_GetCloudLayers (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_SetTurbidity (long jarg1, AtmosphericConditions jarg1_, double jarg2)
static final native double | AtmosphericConditions_GetTurbidity (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_SetVisibility (long jarg1, AtmosphericConditions jarg1_, double jarg2)
static final native double | AtmosphericConditions_GetVisibility (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_SetFog (long jarg1, AtmosphericConditions jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)
static final native void | AtmosphericConditions_ClearFog (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_GetFog (long jarg1, AtmosphericConditions jarg1_, long jarg2, long jarg3, long jarg4, long jarg5, long jarg6)
static final native void | AtmosphericConditions_SetLightPollution (long jarg1, AtmosphericConditions jarg1_, double jarg2)
static final native double | AtmosphericConditions_GetLightPollution (long jarg1, AtmosphericConditions jarg1_)
static final native void | AtmosphericConditions_SetPrecipitation__SWIG_0 (long jarg1, AtmosphericConditions jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)
static final native void | AtmosphericConditions_SetPrecipitation__SWIG_1 (long jarg1, AtmosphericConditions jarg1_, int jarg2, double jarg3, double jarg4)
static final native void | AtmosphericConditions_SetPrecipitation__SWIG_2 (long jarg1, AtmosphericConditions jarg1_, int jarg2, double jarg3)
static final native void | AtmosphericConditions_SetPrecipitationWind (long jarg1, AtmosphericConditions jarg1_, double jarg2, double jarg3)
static final native void | AtmosphericConditions_GetPrecipitationWind (long jarg1, AtmosphericConditions jarg1_, long jarg2, long jarg3)
static final native void | AtmosphericConditions_EnableTimePassage (long jarg1, AtmosphericConditions jarg1_, boolean jarg2, int jarg3)
static final native long | new_double_array (int jarg1)
static final native void | delete_double_array (long jarg1)
static final native double | double_array_getitem (long jarg1, int jarg2)
static final native void | double_array_setitem (long jarg1, int jarg2, double jarg3)
static final native long | new_Atmosphere (String jarg1, String jarg2)
static final native void | delete_Atmosphere (long jarg1)
static final native float | Atmosphere_GetVersionNumber (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_SetConditions (long jarg1, Atmosphere jarg1_, long jarg2, AtmosphericConditions jarg2_)
static final native long | Atmosphere_GetConditions__SWIG_0 (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_GetSunOrMoonPosition (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunOrMoonPositionGeographic (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunOrMoonPositionEquatorial (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunPosition (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetMoonPosition (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunPositionGeographic (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetMoonPositionGeographic (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunPositionEquatorial (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetMoonPositionEquatorial (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunOrMoonColor (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetSunColor (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetMoonColor (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetAmbientColor (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_GetHorizonColor__SWIG_0 (long jarg1, Atmosphere jarg1_, float jarg2, float jarg3, long jarg4, long jarg5, long jarg6)
static final native void | Atmosphere_GetHorizonColor__SWIG_1 (long jarg1, Atmosphere jarg1_, float jarg2, long jarg3, long jarg4, long jarg5)
static final native boolean | Atmosphere_GetFogEnabled (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_GetFogSettings (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4, long jarg5)
static final native void | Atmosphere_SetHaze (long jarg1, Atmosphere jarg1_, float jarg2, float jarg3, float jarg4, double jarg5, double jarg6)
static final native void | Atmosphere_GetHaze (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4, long jarg5, long jarg6)
static final native void | Atmosphere_SetGamma (long jarg1, Atmosphere jarg1_, double jarg2)
static final native double | Atmosphere_GetGamma (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_ForceLightingRecompute (long jarg1, Atmosphere jarg1_)
static final native int | Atmosphere_OPENGL_get ()
static final native int | Atmosphere_DIRECTX9_get ()
static final native int | Atmosphere_DIRECTX10_get ()
static final native int | Atmosphere_DIRECTX11_get ()
static final native int | Atmosphere_CUSTOM_RENDERER_get ()
static final native int | Atmosphere_OPENGL32CORE_get ()
static final native int | Atmosphere_OPENGLES2_get ()
static final native int | Atmosphere_E_NOERROR_get ()
static final native int | Atmosphere_Initialize (long jarg1, Atmosphere jarg1_, int jarg2, String jarg3, boolean jarg4, long jarg5)
static final native void | Atmosphere_SetUpVector (long jarg1, Atmosphere jarg1_, double jarg2, double jarg3, double jarg4)
static final native void | Atmosphere_GetUpVector (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_SetRightVector (long jarg1, Atmosphere jarg1_, double jarg2, double jarg3, double jarg4)
static final native void | Atmosphere_GetRightVector (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4)
static final native void | Atmosphere_SetCameraMatrix (long jarg1, Atmosphere jarg1_, long jarg2)
static final native void | Atmosphere_SetProjectionMatrix (long jarg1, Atmosphere jarg1_, long jarg2)
static final native boolean | Atmosphere_DrawSky__SWIG_0 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3, double jarg4, boolean jarg5, boolean jarg6)
static final native boolean | Atmosphere_DrawSky__SWIG_1 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3, double jarg4, boolean jarg5)
static final native boolean | Atmosphere_DrawSky__SWIG_2 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3, double jarg4)
static final native boolean | Atmosphere_DrawSky__SWIG_3 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3)
static final native boolean | Atmosphere_DrawSky__SWIG_4 (long jarg1, Atmosphere jarg1_, boolean jarg2)
static final native boolean | Atmosphere_DrawObjects__SWIG_0 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3, boolean jarg4)
static final native boolean | Atmosphere_DrawObjects__SWIG_1 (long jarg1, Atmosphere jarg1_, boolean jarg2, boolean jarg3)
static final native boolean | Atmosphere_DrawObjects__SWIG_2 (long jarg1, Atmosphere jarg1_, boolean jarg2)
static final native boolean | Atmosphere_DrawObjects__SWIG_3 (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_OverrideCloudLighting (long jarg1, Atmosphere jarg1_, float jarg2, float jarg3, float jarg4, float jarg5, float jarg6, float jarg7)
static final native void | Atmosphere_ClearCloudLightingOverride (long jarg1, Atmosphere jarg1_)
static final native double | Atmosphere_GetFramerate (long jarg1, Atmosphere jarg1_)
static final native long | Atmosphere_GetObjects (long jarg1, Atmosphere jarg1_)
static final native float | Atmosphere_GetObjectDistance__SWIG_0 (long jarg1, Atmosphere jarg1_, long jarg2, float jarg3, float jarg4, float jarg5, float jarg6, float jarg7, float jarg8)
static final native float | Atmosphere_GetObjectDistance__SWIG_1 (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, float jarg4, float jarg5, float jarg6)
static final native void | Atmosphere_GetObjectPosition (long jarg1, Atmosphere jarg1_, long jarg2, long jarg3, long jarg4, long jarg5)
static final native void | Atmosphere_DrawObject (long jarg1, Atmosphere jarg1_, long jarg2)
static final native void | Atmosphere_ReloadConfigFile (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_SetConfigOption (long jarg1, Atmosphere jarg1_, String jarg2, String jarg3)
static final native String | Atmosphere_GetConfigOptionString (long jarg1, Atmosphere jarg1_, String jarg2)
static final native double | Atmosphere_GetConfigOptionDouble (long jarg1, Atmosphere jarg1_, String jarg2)
static final native boolean | Atmosphere_GetConfigOptionBoolean (long jarg1, Atmosphere jarg1_, String jarg2)
static final native void | Atmosphere_UpdateEphemeris (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_SetInfraRedMode (long jarg1, Atmosphere jarg1_, boolean jarg2)
static final native boolean | Atmosphere_GetInfraRedMode (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_DisableFarCulling (long jarg1, Atmosphere jarg1_, boolean jarg2)
static final native boolean | Atmosphere_GetFarCullingDisabled (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_EnableLensFlare (long jarg1, Atmosphere jarg1_, boolean jarg2)
static final native boolean | Atmosphere_GetLensFlareEnabled (long jarg1, Atmosphere jarg1_)
static final native float | Atmosphere_GetSunOcclusion (long jarg1, Atmosphere jarg1_)
static final native void | Atmosphere_EnableHDR (boolean jarg1)
static final native boolean | Atmosphere_GetHDREnabled ()
static final native void | Atmosphere_SetWorldUnits (double jarg1)
static final native double | Atmosphere_GetUnitScale ()
static final native void | delete_CloudLayer (long jarg1)
static final native int | CloudLayer_GetType (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetType (long jarg1, CloudLayer jarg1_, int jarg2)
static final native void | CloudLayer_SetEnabled__SWIG_0 (long jarg1, CloudLayer jarg1_, boolean jarg2, long jarg3)
static final native void | CloudLayer_SetEnabled__SWIG_1 (long jarg1, CloudLayer jarg1_, boolean jarg2)
static final native boolean | CloudLayer_GetEnabled (long jarg1, CloudLayer jarg1_)
static final native boolean | CloudLayer_IsRenderable (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetBaseWidth (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetBaseWidth (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetBaseLength (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetBaseLength (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetBaseAltitude (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetBaseAltitude (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetThickness (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetThickness (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetDensity (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetDensity (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetLayerPosition (long jarg1, CloudLayer jarg1_, double jarg2, double jarg3)
static final native void | CloudLayer_GetLayerPosition (long jarg1, CloudLayer jarg1_, long jarg2, long jarg3)
static final native void | CloudLayer_SetIsInfinite (long jarg1, CloudLayer jarg1_, boolean jarg2)
static final native boolean | CloudLayer_GetIsInfinite (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetWind (long jarg1, CloudLayer jarg1_, double jarg2, double jarg3)
static final native void | CloudLayer_GetWind (long jarg1, CloudLayer jarg1_, long jarg2, long jarg3)
static final native void | CloudLayer_SetCloudAnimationEffects__SWIG_0 (long jarg1, CloudLayer jarg1_, double jarg2, boolean jarg3, int jarg4, int jarg5)
static final native void | CloudLayer_SetCloudAnimationEffects__SWIG_1 (long jarg1, CloudLayer jarg1_, double jarg2, boolean jarg3, int jarg4)
static final native void | CloudLayer_SetCloudAnimationEffects__SWIG_2 (long jarg1, CloudLayer jarg1_, double jarg2, boolean jarg3)
static final native void | CloudLayer_SetCloudWrapping (long jarg1, CloudLayer jarg1_, boolean jarg2)
static final native boolean | CloudLayer_GetCloudWrapping (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetFadeTowardEdges (long jarg1, CloudLayer jarg1_, boolean jarg2)
static final native boolean | CloudLayer_GetFadeTowardEdges (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_SetPrecipitation__SWIG_0 (long jarg1, CloudLayer jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)
static final native void | CloudLayer_SetPrecipitation__SWIG_1 (long jarg1, CloudLayer jarg1_, int jarg2, double jarg3, double jarg4)
static final native void | CloudLayer_SetPrecipitation__SWIG_2 (long jarg1, CloudLayer jarg1_, int jarg2, double jarg3)
static final native long | CloudLayer_GetPrecipitation (long jarg1, CloudLayer jarg1_)
static final native boolean | CloudLayer_HasPrecipitationAtPosition (long jarg1, CloudLayer jarg1_, double jarg2, double jarg3, double jarg4)
static final native boolean | CloudLayer_IsInsideCloud (long jarg1, CloudLayer jarg1_, double jarg2, double jarg3, double jarg4)
static final native void | CloudLayer_SetAlpha (long jarg1, CloudLayer jarg1_, double jarg2)
static final native double | CloudLayer_GetAlpha (long jarg1, CloudLayer jarg1_)
static final native boolean | CloudLayer_SupportsShadowMaps (long jarg1, CloudLayer jarg1_)
static final native void | CloudLayer_GenerateShadowMaps (long jarg1, CloudLayer jarg1_, boolean jarg2)
static final native boolean | CloudLayer_BindShadowMap (long jarg1, CloudLayer jarg1_, int jarg2, long jarg3)
static final native void | CloudLayer_SeedClouds (long jarg1, CloudLayer jarg1_, long jarg2, Atmosphere jarg2_)
static final native void | CloudLayer_AddLightningListener (long jarg1, CloudLayer jarg1_, long jarg2)
static final native void | CloudLayer_ClearLightningListeners (long jarg1, CloudLayer jarg1_)
static final native boolean | CloudLayer_ForceLightning (long jarg1, CloudLayer jarg1_)
static final native long | CloudLayerFactory_Create (int jarg1)
static final native long | new_CloudLayerFactory ()
static final native void | delete_CloudLayerFactory (long jarg1)

The documentation for this class was generated from the following file:

- C:/sl/android/SilverLiningAndroidLibrary/src/com/sundogsoftware/silverlining/SilverLiningCloudLayerFactoryJNI.java